
Redmine - Defect #42226

Incorrect links in tracker deletion error message for projects where tracker is disabled

2025-02-05 16:10 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 6.0.0

Description

This patch improves the error message displayed when attempting to delete a tracker in use.

Currently, all projects using the tracker are linked in the error message, even if the tracker is disabled for a project, leading to an

incorrect issues list. This can lead to incorrect issue lists because when the tracker is disabled for a project, the issues list cannot be

filtered to show issues associated with that tracker.

In the suggested fix, if the tracker is disabled, the project name is displayed as plain text instead of a link.

Related issues:

Related to Redmine - Feature #12521: Improve tracker deletion error message t... Closed

History

#1 - 2025-02-05 16:10 - Go MAEDA

- Related to Feature #12521: Improve tracker deletion error message to display projects containing issues under the tracker  added

#2 - 2025-02-08 09:44 - Go MAEDA

- File fix-tracker-deletion-error-message-v2.patch added

I have updated the patch to take rolled-up trackers into account.

The updated patch now also displays a link to the issues list when the tracker is rolled up from subprojects.

#3 - 2025-02-09 08:52 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

- Resolution set to Invalid

I mistakenly stated that an incorrect issues list would be displayed, but that was a misunderstanding. Therefore, I will withdraw this patch.

If the tracker to be deleted is not enabled in a project, the filters section at the top of the issues list may appear to have a different tracker selected.

However, the issues list itself is displayed correctly.

Files

fix-tracker-deletion-error-message.patch 2.61 KB 2025-02-05 Go MAEDA

fix-tracker-deletion-error-message-v2.patch 3.33 KB 2025-02-08 Go MAEDA
